#!/usr/bin/env apl --script

∇ABP
 ⍝ alternating bit protocol tpn
 'SP0[0,⍵]: EI0 → ES0, P0'
 'RSP0[5,6]: ES0 → ES0, P0'
 'RA0[0,1]: ES0, A0 → EI1'
 'SP1[0,⍵]: EI1 → ES1, P1'
 'RSP1[5,6]: ES1 → ES1, P1'
 'RA1[0,1]: ES1, A1 → EI0'
 'RP0[0,1]: RI0, P0 → RR0'
 'AP0[0,2]: RR0 → RI1, A0'
 'rP0[0,1]: RI1, P0 → RR0'
 'RP1[0,1]: RI1, P1 → RR1'
 'AP1[0,2]: RR1 → RI0, A1'
 'rP1[0,1]: RI0, P1 → RR1'
 'Lp0[0,1]: P0 → '
 'LA0[0,1]: A0 → '
 'LP1[0,1]: P1 → '
 'LA1[0,1]: A1 → '
 'M0=EI0,RI0'
∇

∇DEADTST1
 'B1[0,0]: P1×2, P2 → PT1'
 'E1[5,5]: PT1 → P3, P4'
 'B2[0,0]: P3 → PT2'
 'E2[20,20]:PT2 → P5'
 'B3[0,0]: P4 → PT3'
 'E3[4,4]: PT3 → P6'
 'B4[0,0]: P5, P6 → PT4'
 'E4[3,3]: PT4  → P7, P2'
 'B5[0,0]: P7 → PT5'
 'E5[2,2]: PT5 → P1'
 'M0=P1(2),P2,P3'
∇

∇DEADTST2
 ⍝ NON LIVE, PSEUDO LIVE, SOME DEAD TRANSITIONS
 'B1[0,0]: P1×2, P2 → PT1'
 'E1[5,5]: PT1 → P3, P4'
 'B2[0,0]: P3 → PT2'
 'E2[20,20]:PT2 → P5'
 'B3[0,0]: P4 → PT3'
 'E3[4,4]: PT3 → P6'
 'B4[0,0]: P5, P6 → PT4'
 'E4[3,3]: PT4  → P7, P2'
 'B5[0,0]: P7 → PT5'
 'E5[2,2]: PT5 → P1'
 'V1: P100 → P101'
 'V2: P101 → P102'
 'V3: P102 → P100'
 'D1: P200 → P201'
 'D2: P201 → P200'
 'M0=P1(2),P2,P3,P100'
∇

∇IFIP83
 'T1[4,9]: P1, P2×2 → P3, P4, P5'
 'T2[0,2]: P4 → P2'
 'T3[1,3]: P5 → P2'
 'T4[0,2]: P3 → P3'
 'T5[0,3]: P3 → P1'
 'M0=P1(1),P2(2)'
∇

∇LIVETST1
⍝ LIVE, 2 CFCMS
'T1: B → D'
'T2: B → E'
'T3: F,D → B,H,G'
'T4: F,E → B,H,I'
'T5: H,G,D → F,D'
'T6: H,E,I → F,E'
'M0=B,G,F,I'
∇

∇LIVETST2
 ⍝ LIVE, 3 CFCMS
 'T1:A→B'
 'T2:A→C'
 'T3:A→D'
 'T4:B,F,G→B,E'
 'T5:C,F,H→C,E'
 'T6:D,F,I→D,E'
 'T7:B,E→F,G,A'
 'T8:C,E→F,H,A'
 'T9:D,E→F,I,A'
 'M0=A,E,G,H,I'
∇

∇LIVETST3
 ⍝ LIVE, 2 CFCMS
 'T11:B1→D1'
 'T21:B1→E1'
 'T31:D1,F1→B1,H1,G1'
 'T41:E1,F1→B1,H1,I1'
 'T51:D1,G1,H1→D1,F1'
 'T61:E1,I1,H1→E1,F1'
 'M0=B1,G1,I1,F1'
∇

∇LIVETST4
 'T11:B1→D1'
 'T21:B1→E1'
 'T31:D1,F1→B1,H1,G1'
 'T41:E1,F1→B1,H1,I1'
 'T51:D1,G1,H1→D1,F1'
 'T61:E1,I1,H1→E1,F1'
 'T1:A→B'
 'T2:A→C'
 'T3:A→D'
 'T4:B,F,G→B,E'
 'T5:C,F,H→C,E'
 'T6:D,F,I→D,E'
 'T7:B,E→F,G,A'
 'T8:C,E→F,H,A'
 'T9:D,E→F,I,A'
 'M0=B1,F1,G1,I1,A,G,E,H,I'
∇

∇PATHO
 'A:P1,P3→P3,P2'
 'B:P3,P2→P2,P4'
 'C:P2,P4→P4,P1,P5'
 'D:P4,P5→P3'
 'M0=P2(1),P4(1),p5(1)'
∇

∇PATHO3
 'A:P1×2,P2,P3→P3×3,P4'
 'B:P1,P2×2,P4→P3,P4×3'
 'C:P3×3,P4×3→P1×3,P2×3'
 'M0=P2(1),P4(1),P5(1)'
∇

∇RAMA
'B1[0,0]:P1,P2→PT1'
'E1[5,5]:PT1→P3,P4'
'B2[0,0]:P3→PT2'
'E2[20,20]:PT2→P5'
'B3[0,0]:P4→PT3'
'E3[4,4]:PT3→P6'
'B4[0,0]:P5,P6→PT4'
'E4[3,3]:PT4→P7,P2'
'B5[0,0]:P7→PT5'
'E5[2,2]:PT5→P1'
'M0=P1,P2,P3'
∇

∇TESTTB
 'A[2,4]:P1→P2'
 'B[3,6]:P2→'
 'M0=P1(10)'
∇

∇TESTTB2
 'A[2,4]:→P'
 'B[3,6]:P→'
∇

∇ OMEGA2
't0[2,2]: → p0'
't1[1,1]: p0 → '
∇

∇ZUBEK
 'BT1[0,0]:P3,P8→ PT1'
 'ET1[3,3]:PT1→P1,P9'
 'BT2[0,0]:P6,P7→PT2'
 'ET2[3,3]:PT2→P4,P8'
 'BT3[0,0]:P5,P1→PT3'
 'ET3[1,1]:PT3→P2,P6'
 'BT4[0,0]:P4→PT4'
 'ET4[3,3]:PT4→P5'
 'BT5[0,0]:P9→PT5'
 'ET5[4,4]:PT5→P7'
 'BT6[0,0]:P2→PT6'
 'ET6[2,2]:PT6→P3'
 'M0=P1,P5,P7'
∇



∇ ifip83
tn ← ⊃"T1" "T2" "T3" "T4" "T5" 
pn ← ⊃"P1" "P2" "P3" "P4" "P5" 
m0 ← 5 ⍴ 1 2 0 0 0
is ← 2 5 1 ⍴ 4 0 1 0 0  9 2 3 2 3
es ← 2 5 5 ⍴ 0
es[1;;] ← 5 5 ⍴ 1 2 0 0 0  0 0 0 1 0  0 0 0 0 1  0 0 1 0 0  0 0 1 0 0 
es[2;;] ← 5 5 ⍴ 0 0 1 1 1  0 1 0 0 0  0 1 0 0 0  0 0 1 0 0  1 0 0 0 0 
nn ← "ifip83"
∇

∇ mickey3
tn ← ⊃"t0" "t1" "t2" 
pn ← ⊃"p0" "p1" "p2" 
m0 ← 3 ⍴ 1 1 1
is ← 2 3 1 ⍴ 1 1 1  2 2 2
es ← 2 3 3 ⍴ 0
es[1;;] ← 3 3 ⍴ 1 0 0  0 1 0  0 0 1 
es[2;;] ← 3 3 ⍴ 1 0 0  0 1 0  0 0 1 
nn ← "mickey3"
∇

∇ mickey4
tn ← ⊃"t0" "t1" "t2" "t3" 
pn ← ⊃"p0" "p1" "p2" "p3" 
m0 ← 4 ⍴ 1 1 1 1
is ← 2 4 1 ⍴ 1 1 1 1  2 2 2 2
es ← 2 4 4 ⍴ 0
es[1;;] ← 4 4 ⍴ 1 0 0 0  0 1 0 0  0 0 1 0  0 0 0 1 
es[2;;] ← 4 4 ⍴ 1 0 0 0  0 1 0 0  0 0 1 0  0 0 0 1 
nn ← "mickey4"
∇

∇ mickey5
tn ← ⊃"t0" "t1" "t2" "t3" "t4" 
pn ← ⊃"p0" "p1" "p2" "p3" "p4" 
m0 ← 5 ⍴ 1 1 1 1 1
is ← 2 5 1 ⍴ 1 1 1 1 1  2 2 2 2 2
es ← 2 5 5 ⍴ 0
es[1;;] ← 5 5 ⍴ 1 0 0 0 0  0 1 0 0 0  0 0 1 0 0  0 0 0 1 0  0 0 0 0 1 
es[2;;] ← 5 5 ⍴ 1 0 0 0 0  0 1 0 0 0  0 0 1 0 0  0 0 0 1 0  0 0 0 0 1 
nn ← "mickey5"
∇

∇ multi
tn ← ⊃"t0" "t1" "t2" 
pn ← ⊃"p0" "p1" 
m0 ← 2 ⍴ 1 0
is ← 2 3 1 ⍴ 1 0 0  1 2 2
es ← 2 3 2 ⍴ 0
es[1;;] ← 3 2 ⍴ 1 0  0 1  0 1 
es[2;;] ← 3 2 ⍴ 1 1  0 0  0 0 
nn ← "multi"
∇

∇ multi3
tn ← ⊃"t0" "t1" "t2" 
pn ← ⊃"p0" "p1" 
m0 ← 2 ⍴ 3 0
is ← 2 3 1 ⍴ 1 0 0  1 2 2
es ← 2 3 2 ⍴ 0
es[1;;] ← 3 2 ⍴ 1 0  0 1  0 1 
es[2;;] ← 3 2 ⍴ 1 1  0 0  0 0 
nn ← "multi3"
∇

∇ abp
tn ← ⊃"t1" "t2" "t3" "t4" "t5" "t6" "t7" "t8" "t9" "t10" "t11" "t12" "t13" "t14" "t15" "t16" 
pn ← ⊃"p1" "p2" "p3" "p4" "p5" "p6" "p7" "p8" "p9" "p10" "p11" "p12" 
m0 ← 12 ⍴ 1 0 0 0 1 0 0 0 0 0 0 0
is ← 2 16 1 ⍴ 0 5 0 0 5 0 0 0 0 0 0 0 0 0 0 0  ¯1 6 1 ¯1 6 1 1 2 1 1 2 1 1 1 1 1
es ← 2 16 12 ⍴ 0
es[1;;] ← 16 12 ⍴ 1 0 0 0 0 0 0 0 0 0 0 0  0 1 0 0 0 0 0 0 0 0 0 0  0 1 0 0 0 0 0 0 0 1 0 0  0 0 1 0 0 0 0 0 0 0 0 0  0 0 0 1 0 0 0 0 0 0 0 0  0 0 0 1 0 0 0 0 0 0 0 1  0 0 0 0 1 0 0 0 1 0 0 0  0 0 0 0 0 1 0 0 0 0 0 0  0 0 0 0 0 0 1 0 1 0 0 0  0 0 0 0 0 0 1 0 0 0 1 0  0 0 0 0 0 0 0 1 0 0 0 0  0 0 0 0 1 0 0 0 0 0 1 0  0 0 0 0 0 0 0 0 1 0 0 0  0 0 0 0 0 0 0 0 0 1 0 0  0 0 0 0 0 0 0 0 0 0 1 0  0 0 0 0 0 0 0 0 0 0 0 1 
es[2;;] ← 16 12 ⍴ 0 1 0 0 0 0 0 0 1 0 0 0  0 1 0 0 0 0 0 0 1 0 0 0  0 0 1 0 0 0 0 0 0 0 0 0  0 0 0 1 0 0 0 0 0 0 1 0  0 0 0 1 0 0 0 0 0 0 1 0  1 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 1 0 0 0 0 0 0  0 0 0 0 0 0 1 0 0 1 0 0  0 0 0 0 0 1 0 0 0 0 0 0  0 0 0 0 0 0 0 1 0 0 0 0  0 0 0 0 1 0 0 0 0 0 0 1  0 0 0 0 0 0 0 1 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 
nn ← "abp"
∇

∇ l6000
tn ← ⊃"t1" "t2" "t3" 
pn ← ⊃"p1" "p2" "p3" 
m0 ← 3 ⍴ 6000 0 2000
is ← 2 3 1 ⍴ 0 0 0  ¯1 ¯1 ¯1
es ← 2 3 3 ⍴ 0
es[1;;] ← 3 3 ⍴ 6000 0 2  3 3000 0  0 1 2000 
es[2;;] ← 3 3 ⍴ 6000 3 0  0 3000 1  2 0 2000 
nn ← "l6000"
∇

∇ l600
tn ← ⊃"t1" "t2" "t3" 
pn ← ⊃"p1" "p2" "p3" 
m0 ← 3 ⍴ 600 0 200
is ← 2 3 1 ⍴ 0 0 0  ¯1 ¯1 ¯1
es ← 2 3 3 ⍴ 0
es[1;;] ← 3 3 ⍴ 600 0 2  3 300 0  0 1 200 
es[2;;] ← 3 3 ⍴ 600 3 0  0 300 1  2 0 200 
nn ← "l600"
∇

∇ trains2e
tn ← ⊃"Ap11" "Ap12" "Ap21" "Ap22" "Db1" "Db2" "e11" "e12" "e21" "e22" "Ex1" "Ex2" "In1" "In2" "L" "R" "Ub" 
pn ← ⊃"Close1" "Close2" "Coming" "Down" "far" "Far1" "Far2" "inn" "Leaving" "Left1" "Left2" "lowering" "On1" "On2" "raising" "Up" 
m0 ← 16 ⍴ 0 0 0 0 2 1 1 0 0 0 0 0 0 0 0 1
is ← 2 17 1 ⍴ 0 0 0 0 0 0 0 0 0 0 2 2 3 3 1 1 0  ¯1 ¯1 ¯1 ¯1 0 0 0 0 0 0 4 4 5 5 2 2 0
es ← 2 17 16 ⍴ 0
es[1;;] ← 17 16 ⍴ 0 0 0 0 2 1 0 0 0 0 0 0 0 0 0 0  0 0 0 0 1 1 0 1 0 0 0 0 0 0 0 0  0 0 0 0 2 0 1 0 0 0 0 0 0 0 0 0  0 0 0 0 1 0 1 1 0 0 0 0 0 0 0 0  0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 1  0 0 1 0 0 0 0 0 0 0 0 0 0 0 1 0  0 0 0 0 1 0 0 1 0 1 0 0 0 0 0 0  0 0 0 0 0 0 0 2 0 1 0 0 0 0 0 0  0 0 0 0 1 0 0 1 0 0 1 0 0 0 0 0  0 0 0 0 0 0 0 2 0 0 1 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0  1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0  0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0  0 0 0 1 0 0 0 0 1 0 0 0 0 0 0 0 
es[2;;] ← 17 16 ⍴ 1 0 1 0 1 0 0 1 0 0 0 0 0 0 0 0  1 0 0 0 0 0 0 2 0 0 0 0 0 0 0 0  0 1 1 0 1 0 0 1 0 0 0 0 0 0 0 0  0 1 0 0 0 0 0 2 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0  0 0 0 0 2 1 0 0 1 0 0 0 0 0 0 0  0 0 0 0 1 1 0 1 0 0 0 0 0 0 0 0  0 0 0 0 2 0 1 0 1 0 0 0 0 0 0 0  0 0 0 0 1 0 1 1 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0  0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1  0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 
nn ← "trains2e"
∇

∇ trains3e
tn ← ⊃"Ap11" "Ap12" "Ap21" "Ap22" "Ap31" "Ap32" "Db1" "Db2" "e11" "e12" "e21" "e22" "e31" "e32" "Ex1" "Ex2" "Ex3" "In1" "In2" "In3" "L" "R" "Ub" 
pn ← ⊃"Close1" "Close2" "Close3" "Coming" "Down" "far" "Far1" "Far2" "Far3" "inn" "Leaving" "Left1" "Left2" "Left3" "lowering" "On1" "On2" "On3" "raising" "Up" 
m0 ← 20 ⍴ 0 0 0 0 0 3 1 1 1 0 0 0 0 0 0 0 0 0 0 1
is ← 2 23 1 ⍴ 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2 2 2 3 3 3 1 1 0  ¯1 ¯1 ¯1 ¯1 ¯1 ¯1 0 0 0 0 0 0 0 0 4 4 4 5 5 5 2 2 0
es ← 2 23 20 ⍴ 0
es[1;;] ← 23 20 ⍴ 0 0 0 0 0 3 1 0 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 1 1 0 0 1 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 3 0 1 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 1 0 1 0 1 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 3 0 0 1 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 1 0 0 1 1 0 0 0 0 0 0 0 0 0 0  0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1  0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0  0 0 0 0 0 2 0 0 0 1 0 1 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 2 0 1 0 0 0 0 0 0 0 0  0 0 0 0 0 2 0 0 0 1 0 0 1 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 2 0 0 1 0 0 0 0 0 0 0  0 0 0 0 0 2 0 0 0 1 0 0 0 1 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 2 0 0 0 1 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0  1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0  0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0  0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0  0 0 0 0 1 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 
es[2;;] ← 23 20 ⍴ 1 0 0 1 0 2 0 0 0 1 0 0 0 0 0 0 0 0 0 0  1 0 0 0 0 0 0 0 0 2 0 0 0 0 0 0 0 0 0 0  0 1 0 1 0 2 0 0 0 1 0 0 0 0 0 0 0 0 0 0  0 1 0 0 0 0 0 0 0 2 0 0 0 0 0 0 0 0 0 0  0 0 1 1 0 2 0 0 0 1 0 0 0 0 0 0 0 0 0 0  0 0 1 0 0 0 0 0 0 2 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0  0 0 0 0 0 3 1 0 0 0 1 0 0 0 0 0 0 0 0 0  0 0 0 0 0 1 1 0 0 1 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 3 0 1 0 0 1 0 0 0 0 0 0 0 0 0  0 0 0 0 0 1 0 1 0 1 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 3 0 0 1 0 1 0 0 0 0 0 0 0 0 0  0 0 0 0 0 1 0 0 1 1 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0  0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 
nn ← "trains3e"
∇

∇ trains4e
tn ← ⊃"Ap11" "Ap12" "Ap21" "Ap22" "Ap31" "Ap32" "Ap41" "Ap42" "Db1" "Db2" "e11" "e12" "e21" "e22" "e31" "e32" "e41" "e42" "Ex1" "Ex2" "Ex3" "Ex4" "In1" "In2" "In3" "In4" "L" "R" "Ub" 
pn ← ⊃"Close1" "Close2" "Close3" "Close4" "Coming" "Down" "far" "Far1" "Far2" "Far3" "Far4" "inn" "Leaving" "Left1" "Left2" "Left3" "Left4" "lowering" "On1" "On2" "On3" "On4" "raising" "Up" 
m0 ← 24 ⍴ 0 0 0 0 0 0 4 1 1 1 1 0 0 0 0 0 0 0 0 0 0 0 0 1
is ← 2 29 1 ⍴ 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2 2 2 2 3 3 3 3 1 1 0  ¯1 ¯1 ¯1 ¯1 ¯1 ¯1 ¯1 ¯1 0 0 0 0 0 0 0 0 0 0 4 4 4 4 5 5 5 5 2 2 0
es ← 2 29 24 ⍴ 0
es[1;;] ← 29 24 ⍴ 0 0 0 0 0 0 4 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 1 1 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 4 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 1 0 1 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 4 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 1 0 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 4 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 1 0 0 0 1 1 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1  0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0  0 0 0 0 0 0 3 0 0 0 0 1 0 1 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 2 0 1 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 3 0 0 0 0 1 0 0 1 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 2 0 0 1 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 3 0 0 0 0 1 0 0 0 1 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 2 0 0 0 1 0 0 0 0 0 0 0 0  0 0 0 0 0 0 3 0 0 0 0 1 0 0 0 0 1 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 2 0 0 0 0 1 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0  1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0  0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0  0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0  0 0 0 0 0 1 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 
es[2;;] ← 29 24 ⍴ 1 0 0 0 1 0 3 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0  1 0 0 0 0 0 0 0 0 0 0 2 0 0 0 0 0 0 0 0 0 0 0 0  0 1 0 0 1 0 3 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0  0 1 0 0 0 0 0 0 0 0 0 2 0 0 0 0 0 0 0 0 0 0 0 0  0 0 1 0 1 0 3 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0  0 0 1 0 0 0 0 0 0 0 0 2 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 1 1 0 3 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 1 0 0 0 0 0 0 0 2 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0  0 0 0 0 0 0 4 1 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 1 1 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 4 0 1 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 1 0 1 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 4 0 0 1 0 0 1 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 1 0 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 4 0 0 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 1 0 0 0 1 1 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0  0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1  0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 
nn ← "trains4e"
∇

∇ hp
tn ← ⊃"a" "b" "c" "d" 
pn ← ⊃"A" "B" "C" "D" "E" 
m0 ← 5 ⍴ 1 0 1 0 0
is ← 2 4 1 ⍴ 0 0 0 0  ¯1 ¯1 ¯1 ¯1
es ← 2 4 5 ⍴ 0
es[1;;] ← 4 5 ⍴ 0 0 1 0 0  0 0 0 1 0  1 0 0 1 0  0 1 1 0 0 
es[2;;] ← 4 5 ⍴ 0 0 0 1 1  0 0 1 0 0  0 2 0 1 0  1 0 1 0 0 
nn ← "hp"
∇

∇ livetst1
tn ← ⊃"T1" "T2" "T3" "T4" "T5" "T6" 
pn ← ⊃"B" "D" "E" "F" "G" "H" "I" 
m0 ← 7 ⍴ 1 0 0 1 1 0 1
is ← 2 6 1 ⍴ 0 0 0 0 0 0  ¯1 ¯1 ¯1 ¯1 ¯1 ¯1
es ← 2 6 7 ⍴ 0
es[1;;] ← 6 7 ⍴ 1 0 0 0 0 0 0  1 0 0 0 0 0 0  0 1 0 1 0 0 0  0 0 1 1 0 0 0  0 1 0 0 1 1 0  0 0 1 0 0 1 1 
es[2;;] ← 6 7 ⍴ 0 1 0 0 0 0 0  0 0 1 0 0 0 0  1 0 0 0 1 1 0  1 0 0 0 0 1 1  0 1 0 1 0 0 0  0 0 1 1 0 0 0 
nn ← "livetst1"
∇

∇ omega
tn ← ⊃"t0" "t1" "t2" 
pn ← 1↑[1]⊃"p0" ""
m0 ← 1 ⍴ 0
is ← 2 3 1 ⍴ 1 1 0  1 1 2
es ← 2 3 1 ⍴ 0
es[1;;] ← 3 1 ⍴ 0  1  1 
es[2;;] ← 3 1 ⍴ 1  0  0 
nn ← "omega"
∇

∇ omegab
tn ← ⊃"t0" "t1" "t2" 
pn ← ⊃"p0" "p1" 
m0 ← 2 ⍴ 0 1
is ← 2 3 1 ⍴ 1 1 0  1 1 2
es ← 2 3 2 ⍴ 0
es[1;;] ← 3 2 ⍴ 0 1  1 0  1 0 
es[2;;] ← 3 2 ⍴ 1 1  0 0  0 0 
nn ← "omegab"
∇

∇ dead
tn ← 1↑[1]⊃"t0" ""
pn ← ⊃"p0" "p1" 
m0 ← 2 ⍴ 1 0
is ← 2 1 1 ⍴ 0  ¯1
es ← 2 1 2 ⍴ 0
es[1;;] ← 1 2 ⍴ 1 1 
es[2;;] ← 1 2 ⍴ 0 0 
nn ← "dead"
∇

∇ omega2
tn ← ⊃"t0" "t1" 
pn ← 1↑[1]⊃"p0" ""
m0 ← 1 ⍴ 0
is ← 2 2 1 ⍴ 2 1  2 1
es ← 2 2 1 ⍴ 0
es[1;;] ← 2 1 ⍴ 0  1 
es[2;;] ← 2 1 ⍴ 1  0 
nn ← "omega2"
∇

